# AutomationV2Unsub

### Description

Unsubscribe from old automation v2.

> **Notes**
>
> This action is deprecated.

### Action ID

`0x6195d72e`

### SDK Action

```ts
const automationV2UnsubAction = new dfs.actions.basic.AutomationV2Unsub(
    protocol,
    cdpId
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param cdpId ID of the cdp to unsubscribe from
    /// @param protocol Protocol to unsubscribe from (MCD, COMPOUND, AAVE)
    struct Params {
        uint256 cdpId;
        Protocols protocol;
    }
```

### Return Value

```solidity
return bytes32(0);
```

### Events and Logs

```solidity
emit ActionEvent("Unsubscribe", logData);
logger.logActionDirectEvent("Unsubscribe", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/utils/automationv2unsub.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
